Package org.codehaus.janino

# Interface Java.ClassDeclaration

All Superinterfaces:
  `Java.Annotatable`, `Java.Locatable`, `Java.Scope`, `Java.TypeDeclaration`

All Known Subinterfaces:
  `Java.EnumDeclaration`

All Known Implementing Classes:
  `Java.AbstractClassDeclaration`, `Java.AnonymousClassDeclaration`, `Java.EnumConstant`, `Java.LocalClassDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.NamedClassDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`

Enclosing class:
  `Java`

public static interface Java.ClassDeclaration extends Java.TypeDeclaration
Base for the various class declarations (top-level class, local class, anonymous class, nested class, top-level enum, nested enum).

## Method Summary

Modifier and Type
Method
Description
`SortedMap<String,IClass.IField>`
`getSyntheticFields()`
`List<Java.FieldDeclarationOrInitializer>`
`getVariableDeclaratorsAndInitializers()`
Returns the initializers for class variables (JLS7 8.3.2.1) and instance variables (JLS7 8.3.2.2), and the instance initializers (JLS7 8.6) and static initializers (JLS7 8.7) in the order as they appear in the type declaration.

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Method Details

### getVariableDeclaratorsAndInitializers

List<Java.FieldDeclarationOrInitializer> getVariableDeclaratorsAndInitializers()
Returns the initializers for class variables (JLS7 8.3.2.1) and instance variables (JLS7 8.3.2.2), and the instance initializers (JLS7 8.6) and static initializers (JLS7 8.7) in the order as they appear in the type declaration.

### getSyntheticFields

SortedMap<String,IClass.IField> getSyntheticFields()

Returns:
  The synthetic fields that were created while this type declaration was compiled